# Threads API

Public Threads profiles, posts, and replies.

Auth: `Authorization: Bearer <SOCIFY_KEY>`  
HTML: https://trysocify.com/docs/api/threads  
Platform file: https://trysocify.com/llms-threads.txt  
OpenAPI: https://trysocify.com/openapi.json

## Endpoints (4)

- [Profile](#profile) — `GET /api/v1/threads/profile` (4 credits per request)
- [Threads User Posts](#threads-user-posts) — `GET /api/v1/threads/posts` (1 credit per request)
- [Threads Post & Replies](#threads-post-replies) — `GET /api/v1/threads/post` (3 credits per request)
- [Search](#search) — `GET /api/v1/threads/search` (3 credits per request)

### Profile

`GET /api/v1/threads/profile`

Fetch a public Threads profile by username or numeric id: bio, followers, and verification.

Credits: 4 credits per request

**Parameters**

- `username` (optional) — Threads username without @. Example: `orlandomagic`.
- `id` (optional) — Numeric user id. Example: `63286282350`.

**Docs:** [https://trysocify.com/docs/api/threads/profile.md](https://trysocify.com/docs/api/threads/profile.md) · HTML: https://trysocify.com/docs/api/threads/profile

```bash
curl -sS 'https://trysocify.com/api/v1/threads/profile?username=orlandomagic&id=63286282350' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

### Threads User Posts

`GET /api/v1/threads/posts`

Fetch recent public posts for a user id.

Credits: 1 credit per request

**Parameters**

- `id` (required) — Numeric user id from User Info. Example: `63286282350`.
- `chunk_size` (optional) — How many posts to fetch (max ~20–30). Defaults to 3. Example: `3`.

**Docs:** [https://trysocify.com/docs/api/threads/posts.md](https://trysocify.com/docs/api/threads/posts.md) · HTML: https://trysocify.com/docs/api/threads/posts

```bash
curl -sS 'https://trysocify.com/api/v1/threads/posts?id=63286282350&chunk_size=3' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

### Threads Post & Replies

`GET /api/v1/threads/post`

Fetch a post and its popular replies by post id (or shortcode).

Credits: 3 credits per request

**Parameters**

- `id` (required) — Post id from User Posts. Use any integer if passing shortcode only. Example: `3407843880258348330`.
- `shortcode` (optional) — Optional post shortcode (e.g. from threads.com). Example: `C_1g_CcypKE`.

**Docs:** [https://trysocify.com/docs/api/threads/post.md](https://trysocify.com/docs/api/threads/post.md) · HTML: https://trysocify.com/docs/api/threads/post

```bash
curl -sS 'https://trysocify.com/api/v1/threads/post?id=3407843880258348330&shortcode=C_1g_CcypKE' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

### Search

`GET /api/v1/threads/search`

Search public posts by query (Threads returns a small batch per call).

Credits: 3 credits per request

**Parameters**

- `query` (required) — Search text. Example: `ferrari`.
- `sorting` (optional) — 0 = top, 1 = recent. Defaults to 0. Example: `0`.

**Docs:** [https://trysocify.com/docs/api/threads/search.md](https://trysocify.com/docs/api/threads/search.md) · HTML: https://trysocify.com/docs/api/threads/search

```bash
curl -sS 'https://trysocify.com/api/v1/threads/search?query=ferrari&sorting=0' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

